Commit 5268e71e authored by Simon McVittie's avatar Simon McVittie

X-TELEPATHY-PASSWORD is not mandatory if unimplementable

Gabble (correctly) doesn't implement it if you use
{ "account": "gmail.com" }, which is not enough for X-TELEPATHY-PASSWORD:
a mechanism that provides a username, such as PLAIN or Google's OAuth
dialect, must be used here.

Bug: https://bugs.freedesktop.org/show_bug.cgi?id=64354Reviewed-by: Guillaume Desmottes's avatarGuillaume Desmottes <guillaume.desmottes@collabora.co.uk>
parent c8fe5f59
...@@ -125,8 +125,10 @@ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.</ ...@@ -125,8 +125,10 @@ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.</
<p>To make it possible to implement a very simple password-querying <p>To make it possible to implement a very simple password-querying
user interface without knowledge of any particular SASL mechanism, user interface without knowledge of any particular SASL mechanism,
implementations of this interface MUST implement the implementations of this interface MUST implement the
pseudo-mechanism <code>X-TELEPATHY-PASSWORD</code>, unless none pseudo-mechanism <code>X-TELEPATHY-PASSWORD</code>, unless each
of the available mechanisms use a password at all.</p> of the available mechanisms either requires additional information
beyond the password (such as a username), or does not use a
password.</p>
</tp:docstring> </tp:docstring>
</property> </property>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment